Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.extract.update_schema(schema_id="schema_invoice_123", name="Invoice Extraction v2", metadata={
"document_type": "invoice",
"version": "2",
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.extract.updateSchema({
schemaId: "schema_invoice_123",
requestBody: {
name: "Invoice Extraction v2",
metadata: {
"document_type": "invoice",
"version": "2",
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Extract.UpdateSchemaAsync(
schemaId: "schema_invoice_123",
body: new UpdateExtractSchemaRequestBody() {
Name = "Invoice Extraction v2",
Metadata = new Dictionary<string, object>() {
{ "document_type", "invoice" },
{ "version", "2" },
},
}
);
// handle responsecurl --request PUT \
--url https://apigw.mka1.com/api/v1/llm/extract/schema/{schema_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Invoice Extraction v2",
"metadata": {
"document_type": "invoice",
"version": "2"
}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Invoice Extraction v2',
metadata: {document_type: 'invoice', version: '2'}
})
};
fetch('https://apigw.mka1.com/api/v1/llm/extract/schema/{schema_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "schema_invoice_123",
"name": "Invoice Extraction v2",
"description": "Schema for extracting invoice data from PDF documents",
"schema": {
"type": "object",
"properties": {
"invoice_number": {
"type": "string"
},
"vendor_name": {
"type": "string"
},
"total_amount": {
"type": "number"
},
"date": {
"type": "string",
"format": "date"
}
},
"required": [
"invoice_number",
"total_amount"
]
},
"metadata": {
"document_type": "invoice",
"version": "2"
},
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-02-01T10:30:00Z"
}
}Extract
Atualizar esquema de extração por ID
Atualizar um esquema de extração existente e seus metadados.
PUT
/
api
/
v1
/
llm
/
extract
/
schema
/
{schema_id}
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.extract.update_schema(schema_id="schema_invoice_123", name="Invoice Extraction v2", metadata={
"document_type": "invoice",
"version": "2",
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.extract.updateSchema({
schemaId: "schema_invoice_123",
requestBody: {
name: "Invoice Extraction v2",
metadata: {
"document_type": "invoice",
"version": "2",
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Extract.UpdateSchemaAsync(
schemaId: "schema_invoice_123",
body: new UpdateExtractSchemaRequestBody() {
Name = "Invoice Extraction v2",
Metadata = new Dictionary<string, object>() {
{ "document_type", "invoice" },
{ "version", "2" },
},
}
);
// handle responseAutorizações
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Cabeçalhos
Optional external end-user identifier forwarded by the API gateway.
Parâmetros de caminho
O identificador único do esquema de extração a ser atualizado
Corpo
application/json
Campos a serem atualizados no esquema de extração. Todos os campos são opcionais; somente os campos fornecidos serão atualizados.
Nome novo opcional para o esquema de extração
Required string length:
1 - 100Descrição nova opcional para o esquema
Maximum string length:
500Definição de esquema JSON atualizada opcional
Show child attributes
Show child attributes
Metadados atualizados opcionais
Show child attributes
Show child attributes
Esta página foi útil?
⌘I